Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231707 (perl-CGI-Session) - Review Request: perl-CGI-Session - Persistent session data in CGI applications
Summary: Review Request: perl-CGI-Session - Persistent session data in CGI applications
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-CGI-Session
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-10 13:59 UTC by Andreas Thienemann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-23 09:38:42 UTC
cweyl: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Andreas Thienemann 2007-03-10 13:59:08 UTC
Spec URL: http://home.bawue.de/~ixs/perl-CGI-Session/perl-CGI-Session.spec
SRPM URL: http://home.bawue.de/~ixs/perl-CGI-Session/perl-CGI-Session-4.20-1.src.rpm
Description:
CGI-Session is a Perl5 library that provides an easy, reliable and modular
session management system across HTTP requests. Persistency is a key
feature for such applications as shopping carts, login/authentication
routines, and application that need to carry data across HTTP requests.
CGI::Session does that and many more.

Comment 1 Chris Weyl 2007-03-17 04:05:08 UTC
Replace %fedora conditional with a buildrequires: perl(ExtUtils::MakeMaker)
and make rpmlint happy :) and I'll approve. 


+ source files match upstream:
 34740f5b944d42760816288f727f98fb  CGI-Session-4.20.tar.gz
 34740f5b944d42760816288f727f98fb  ../CGI-Session-4.20.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text not included upstream.
+ latest version is being packaged.
O BuildRequires are proper. (needs a br on perl(ExtUtils::MakeMaker))
+ %clean is present.
+ package installs properly
X rpmlint is (almost) silent:
[build@zeus perl-CGI-Session]$ rpmlint perl-CGI-Session-4.20-1.fc6.src.rpm 
W: perl-CGI-Session mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
+ final provides and requires are sane:
 == provides
 perl(CGI::Session)  
 perl(CGI::Session::Driver)  
 perl(CGI::Session::Driver::DBI)  
 perl(CGI::Session::Driver::db_file) = 4.20
 perl(CGI::Session::Driver::file)  
 perl(CGI::Session::Driver::mysql)  
 perl(CGI::Session::Driver::postgresql)  
 perl(CGI::Session::Driver::sqlite)  
 perl(CGI::Session::ErrorHandler)  
 perl(CGI::Session::ID::incr)  
 perl(CGI::Session::ID::md5)  
 perl(CGI::Session::ID::static)  
 perl(CGI::Session::Serialize::default)  
 perl(CGI::Session::Serialize::freezethaw)  
 perl(CGI::Session::Serialize::json)  
 perl(CGI::Session::Serialize::storable)  
 perl(CGI::Session::Serialize::yaml)  
 perl(CGI::Session::Test::Default)  
 perl(CGI::Session::Tutorial)  
 perl(OverloadedObjectClass)  
 perl(SimpleObjectClass)  
 perl-CGI-Session = 4.20-1.fc6
 == requires
 perl(:MODULE_COMPAT_5.8.8)  
 perl(CGI::Session::Driver)  
 perl(CGI::Session::Driver::DBI)  
 perl(CGI::Session::ErrorHandler)  
 perl(Carp)  
 perl(Class::Struct)  
 perl(DBD::Pg)  
 perl(DBI)  
 perl(DB_File)  
 perl(Data::Dumper)  
 perl(Digest::MD5)  
 perl(Fcntl)  
 perl(File::Basename)  
 perl(File::Spec)  
 perl(FreezeThaw)  
 perl(Safe)  
 perl(Scalar::Util)  
 perl(Storable)  
 perl(Test::More)  
 perl(base)  
 perl(overload)  
 perl(strict)  
 perl(vars)  
+ %check is present and all tests pass:
All tests successful, 7 tests skipped.
Files=46, Tests=1295, 47 wallclock secs ( 9.29 cusr +  1.88 csys = 11.17 CPU)
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

Comment 2 Andreas Thienemann 2007-03-17 09:57:06 UTC
http://home.bawue.de/~ixs/perl-CGI-Session/perl-CGI-Session-4.20-2.src.rpm

New SRPM & spec

Comment 3 Chris Weyl 2007-03-17 16:17:24 UTC
APPROVED

Comment 4 Andreas Thienemann 2007-03-17 16:34:44 UTC
New Package CVS Request
=======================
Package Name: perl-CGI-Session
Short Description: Persistent session data in CGI applications
Owners: andreas@bawue.net
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 5 Andreas Thienemann 2007-03-23 09:38:42 UTC
Thanks for the review, package has been built for FC-5, FC-6 and rawhide.


Note You need to log in before you can comment on or make changes to this bug.